Ptex: PtexGaussianFilter Class Reference

Ptex

Public Member Functions | Static Private Member Functions | List of all members
PtexGaussianFilter Class Reference

Separable gaussian filter. More...

Inheritance diagram for PtexGaussianFilter:

## Public Member Functions
| PtexGaussianFilter (PtexTexture *tx, const PtexFilter::Options &opts)
Public Member Functions inherited from PtexWidth4Filter
| PtexWidth4Filter (PtexTexture *tx, const PtexFilter::Options &opts, KernelFn k, const float *c=0)
virtual void | buildKernel (PtexSeparableKernel &k, float u, float v, float uw, float vw, Res faceRes)
Public Member Functions inherited from PtexSeparableFilter
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid).
virtual void | eval (float *result, int firstchan, int nchannels, int faceid, float u, float v, float uw1, float vw1, float uw2, float vw2, float width, float blur)
| Apply filter to a ptex data file.

## Static Private Member Functions
static float | kernelFn (float x, const float *)

## Additional Inherited Members
Public Types inherited from PtexWidth4Filter
typedef float | KernelFn(float x, const float *c)
Public Types inherited from PtexFilter
enum | FilterType { f_point , f_bilinear , f_box , f_gaussian , f_bicubic , f_bspline , f_catmullrom , f_mitchell }
| Filter types. More...
Static Public Member Functions inherited from PtexFilter
static void | eval (PtexTexture *tx, const Options &opts, float *result, int firstchan, int nchannels, int faceid, float u, float v, float uw1, float vw1, float uw2, float vw2, float width=1, float blur=0)
static PtexFilter * | getFilter (PtexTexture *tx, const Options &opts)
Protected Member Functions inherited from PtexSeparableFilter
| PtexSeparableFilter (PtexTexture *tx, const PtexFilter::Options &opts)
virtual | ~PtexSeparableFilter ()
void | splitAndApply (PtexSeparableKernel &k, int faceid, const Ptex::FaceInfo &f)
void | applyAcrossEdge (PtexSeparableKernel &k, int faceid, const Ptex::FaceInfo &f, int eid)
void | applyToCorner (PtexSeparableKernel &k, int faceid, const Ptex::FaceInfo &f, int eid)
void | applyToCornerFace (PtexSeparableKernel &k, const Ptex::FaceInfo &f, int eid, int cfaceid, const Ptex::FaceInfo &cf, int ceid)
void | apply (PtexSeparableKernel &k, int faceid, const Ptex::FaceInfo &f)
Protected Member Functions inherited from PtexFilter
virtual | ~PtexFilter ()
| Destructor not for public use. Use release() instead.
Protected Attributes inherited from PtexSeparableFilter
PtexTexture * | _tx
Options | _options
float * | _result
float | _weight
int | _firstChanOffset
int | _nchan
int | _ntxchan
DataType | _dt
BorderMode | _uMode
BorderMode | _vMode
EdgeFilterMode | _efm

## Detailed Description

Separable gaussian filter.

Definition at line 292 of file PtexFilters.cpp.

## Constructor & Destructor Documentation

## ◆ PtexGaussianFilter()

PtexGaussianFilter::PtexGaussianFilter | ( | PtexTexture * | tx,
|  | const PtexFilter::Options & | opts )
| inline

Definition at line 295 of file PtexFilters.cpp.

References kernelFn(), and PtexWidth4Filter::PtexWidth4Filter().

## Member Function Documentation

## ◆ kernelFn()

float PtexGaussianFilter::kernelFn | ( | float | x,
|  | const float * | )
| inlinestaticprivate

Definition at line 299 of file PtexFilters.cpp.

Referenced by PtexGaussianFilter().

The documentation for this class was generated from the following file:

- PtexFilters.cpp